> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bedrock.quarry-systems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Environments by Tenant

> List all environments in a tenant

## Path Parameters

<ParamField path="tenantId" type="string" required>
  The tenant ID
</ParamField>

<Note>
  Environments can also be listed by project: `GET /environments/project/{projectId}`.
</Note>

## Response

Returns an array of environment objects.

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET 'https://api.example.com/environments/tenant/tenant_acme' \
    -H 'Authorization: Bearer YOUR_TOKEN'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  [
    {
      "id": "environment_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
      "tenantId": "tenant_acme",
      "projectId": "project_api",
      "scopeId": "scope_env_prod",
      "name": "Production"
    },
    {
      "id": "environment_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5c",
      "tenantId": "tenant_acme",
      "projectId": "project_api",
      "scopeId": "scope_env_staging",
      "name": "Staging"
    }
  ]
  ```
</ResponseExample>
